[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'strutils' (#rtl)

# DelChars

Delete all occurrences of a given character from a string.

## Declaration

Source position: strutils.pp line 147

`function DelChars(`
`const S: string;`
`Chr: Char`
`):string;`

## Arguments

`S` |  | String to delete characters from.
`Chr` |  | Character which must be deleted.

## Function result

Original string with all occurrences of the given character deleted.

## Description

DelChars returns a copy of S with all Chr characters removed from it.

## Errors

None.

## See also

DelSpace |  | Delete all occurrences of a space from a string.
DelSpace1 |  | Reduces sequences of space characters to 1 space character.

Documentation generated on: Feb 26 2014